46 lines
1.1 KiB
Diff
46 lines
1.1 KiB
Diff
From 44f4015f9a649e164b332e6ab1302139191d4a4f Mon Sep 17 00:00:00 2001
|
|
From: David Allsopp <david.allsopp@metastack.com>
|
|
Date: Wed, 3 Mar 2021 12:24:36 +0000
|
|
Subject: [PATCH 07/18] Detect unused Makefile variables in workflow
|
|
|
|
---
|
|
tools/ci/actions/runner.sh | 13 ++++++++++++-
|
|
1 file changed, 12 insertions(+), 1 deletion(-)
|
|
|
|
diff --git a/tools/ci/actions/runner.sh b/tools/ci/actions/runner.sh
|
|
index ede27f710a..26123b40d1 100755
|
|
--- a/tools/ci/actions/runner.sh
|
|
+++ b/tools/ci/actions/runner.sh
|
|
@@ -21,6 +21,8 @@ PREFIX=~/local
|
|
MAKE="make $MAKE_ARG"
|
|
SHELL=dash
|
|
|
|
+MAKE_WARN="$MAKE --warn-undefined-variables"
|
|
+
|
|
export PATH=$PREFIX/bin:$PATH
|
|
|
|
Configure () {
|
|
@@ -60,9 +62,18 @@ EOF
|
|
}
|
|
|
|
Build () {
|
|
- $MAKE world.opt
|
|
+ if [ "$(uname)" = 'Darwin' ]; then
|
|
+ script -q build.log $MAKE_WARN
|
|
+ else
|
|
+ script --return --command "$MAKE_WARN" build.log
|
|
+ fi
|
|
echo Ensuring that all names are prefixed in the runtime
|
|
./tools/check-symbol-names runtime/*.a otherlibs/*/lib*.a
|
|
+ if grep -Fq ' warning: undefined variable ' build.log; then
|
|
+ echo Undefined Makefile variables detected
|
|
+ exit 1
|
|
+ fi
|
|
+ rm build.log
|
|
}
|
|
|
|
Test () {
|
|
--
|
|
2.41.0
|
|
|